Index: uspace/drv/uhci-rhd/port.c
===================================================================
--- uspace/drv/uhci-rhd/port.c	(revision 3005db61128349f59da18688e7201b4cd3da5931)
+++ uspace/drv/uhci-rhd/port.c	(revision df949c57e89c97ae66b6b143d0dd13477e08eddb)
@@ -67,4 +67,8 @@
 {
 	assert(port);
+	asprintf(&port->id_string, "Port (%p - %d)", port, number);
+	if (port->id_string == NULL) {
+		return ENOMEM;
+	}
 
 	port->address = address;
@@ -116,7 +120,4 @@
 	assert(instance);
 
-	/* Iteration count, for debug purposes only */
-	unsigned count = 0;
-
 	while (1) {
 		async_usleep(instance->wait_period_usec);
@@ -125,24 +126,17 @@
 		port_status_t port_status = uhci_port_read_status(instance);
 
-		/* debug print mutex */
-		static fibril_mutex_t dbg_mtx =
-		    FIBRIL_MUTEX_INITIALIZER(dbg_mtx);
-		fibril_mutex_lock(&dbg_mtx);
-		usb_log_debug2("Port(%p - %d): Status: %#04x. === %u\n",
-		  instance->address, instance->number, port_status, count++);
-		print_port_status("Port", port_status);
-		fibril_mutex_unlock(&dbg_mtx);
+		print_port_status(instance->id_string, port_status);
 
 		if ((port_status & STATUS_CONNECTED_CHANGED) == 0)
 			continue;
 
-		usb_log_debug("Port(%p - %d): Connected change detected: %x.\n",
-		    instance->address, instance->number, port_status);
+		usb_log_debug("%s: Connected change detected: %x.\n",
+		    instance->id_string, port_status);
 
 		int rc =
 		    usb_hc_connection_open(&instance->hc_connection);
 		if (rc != EOK) {
-			usb_log_error("Port(%p - %d): Failed to connect to HC.",
-			    instance->address, instance->number);
+			usb_log_error("%s: Failed to connect to HC.",
+			    instance->id_string);
 			continue;
 		}
@@ -150,6 +144,6 @@
 		/* Remove any old device */
 		if (instance->attached_device) {
-			usb_log_debug2("Port(%p - %d): Removing device.\n",
-			    instance->address, instance->number);
+			usb_log_debug2("%s: Removing device.\n",
+			    instance->id_string);
 			uhci_port_remove_device(instance);
 		}
@@ -164,12 +158,12 @@
 			/* Write one to WC bits, to ack changes */
 			uhci_port_write_status(instance, port_status);
-			usb_log_debug("Port(%p - %d): Change status ACK.\n",
-			    instance->address, instance->number);
+			usb_log_debug("%s: Change status ACK.\n",
+			    instance->id_string);
 		}
 
 		rc = usb_hc_connection_close(&instance->hc_connection);
 		if (rc != EOK) {
-			usb_log_error("Port(%p - %d): Failed to disconnect.",
-			    instance->address, instance->number);
+			usb_log_error("%s: Failed to disconnect.",
+			    instance->id_string);
 		}
 	}
@@ -187,6 +181,6 @@
 	uhci_port_t *port = (uhci_port_t *) arg;
 
-	usb_log_debug2("Port(%p - %d): new_device_enable_port.\n",
-	    port->address, port->number);
+	usb_log_debug2("%s: new_device_enable_port.\n",
+	    port->id_string);
 
 	/*
@@ -201,6 +195,6 @@
 	 */
 	{
-		usb_log_debug("Port(%p - %d): Reset Signal start.\n",
-		    port->address, port->number);
+		usb_log_debug("%s: Reset Signal start.\n",
+		    port->id_string);
 		port_status_t port_status = uhci_port_read_status(port);
 		port_status |= STATUS_IN_RESET;
@@ -210,6 +204,6 @@
 		port_status &= ~STATUS_IN_RESET;
 		uhci_port_write_status(port, port_status);
-		usb_log_debug("Port(%p - %d): Reset Signal stop.\n",
-		    port->address, port->number);
+		usb_log_debug("%s: Reset Signal stop.\n",
+		    port->id_string);
 	}
 
@@ -232,6 +226,6 @@
 	assert(usb_hc_connection_is_opened(&port->hc_connection));
 
-	usb_log_info("Port(%p-%d): Detected new device.\n",
-	    port->address, port->number);
+	usb_log_info("%s: Detected new device.\n",
+	    port->id_string);
 
 	usb_address_t dev_addr;
@@ -241,12 +235,12 @@
 
 	if (rc != EOK) {
-		usb_log_error("Port(%p-%d): Failed(%d) to add device: %s.\n",
-		    port->address, port->number, rc, str_error(rc));
+		usb_log_error("%s: Failed(%d) to add device: %s.\n",
+		    port->id_string, rc, str_error(rc));
 		uhci_port_set_enabled(port, false);
 		return rc;
 	}
 
-	usb_log_info("Port(%p-%d): New device has address %d (handle %zu).\n",
-	    port->address, port->number, dev_addr, port->attached_device);
+	usb_log_info("%s: New device has address %d (handle %zu).\n",
+	    port->id_string, dev_addr, port->attached_device);
 
 	return EOK;
@@ -262,6 +256,6 @@
 int uhci_port_remove_device(uhci_port_t *port)
 {
-	usb_log_error("Port(%p-%d): Don't know how to remove device %#x.\n",
-	    port->address, port->number, (unsigned int)port->attached_device);
+	usb_log_error("%s: Don't know how to remove device %d.\n",
+	    port->id_string, (unsigned int)port->attached_device);
 	return EOK;
 }
@@ -289,6 +283,6 @@
 	uhci_port_write_status(port, port_status);
 
-	usb_log_info("Port(%p-%d): %sabled port.\n",
-		port->address, port->number, enabled ? "En" : "Dis");
+	usb_log_info("%s: %sabled port.\n",
+		port->id_string, enabled ? "En" : "Dis");
 	return EOK;
 }
